!(function () {

    var Body = BI.inherit(BI.Widget, {

        props: {
            baseCls: "dec-frame-body"
        },

        _store: function () {
            return BI.Models.getModel("dec.model.masonry");
        },

        watch: {},

        beforeInit: function (cb) {
            this.store.initEntryList(cb);
        },

        render: function () {
            var self = this;

            return {
                type: "bi.button_group",
                layouts: [
                    {
                        type: "bi.absolute"
                    }
                ],
                chooseType: BI.Selection.Single,
                scrolly: true,
                items: this.store.formatItems()
            };
        }
    });

    BI.shortcut("dec.masonry", Body);
}());